using System;
using System.Windows;
using System.Windows.Forms;

internal sealed class Delegate562 : MulticastDelegate
{
	public extern MessageBoxResult Invoke(Window window_0, string string_0, string string_1, MessageBoxButton messageBoxButton_0, MessageBoxImage messageBoxImage_0, MessageBoxDefaultButton messageBoxDefaultButton_0, string string_2, string string_3);

	public static MessageBoxResult smethod_0(Window window_0, string string_0, string string_1, MessageBoxButton messageBoxButton_0, MessageBoxImage messageBoxImage_0, MessageBoxDefaultButton messageBoxDefaultButton_0, string string_2, string string_3, Delegate562 delegate562_1)
	{
		return delegate562_1(window_0, string_0, string_1, messageBoxButton_0, messageBoxImage_0, messageBoxDefaultButton_0, string_2, string_3);
	}

	public extern Delegate562(object object_0, IntPtr intptr_0);

	static Delegate562()
	{
		Class10.smethod_13(typeof(Delegate562).TypeHandle);
	}

	internal static Delegate562 delegate562_0;
}
